Gocator API

- Home
- Categories
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Groups Pages
Public Member Functions
GoResampledProfileMsg Class Reference
Data Channel

## Description

Represents a data message containing a set of re-sampled profile arrays.

Inheritance diagram for GoResampledProfileMsg:

## Public Member Functions
GoDataMessageType | GoDataMsg_Type (GoDataMsg message)
| Returns the message type for a data channel message given in a GoDataSet. More...
k16s * | GoResampledProfileMsg_At (GoResampledProfileMsg msg, kSize index)
| Gets a pointer to a re-sampled profile array. More...
kSize | GoResampledProfileMsg_Count (GoResampledProfileMsg msg)
| Gets the count of re-sampled profile arrays in this message. More...
k32u | GoResampledProfileMsg_Exposure (GoResampledProfileMsg msg)
| Gets the exposure. More...
GoDataSource | GoResampledProfileMsg_Source (GoResampledProfileMsg msg)
| Gets the profile source. More...
kSize | GoResampledProfileMsg_Width (GoResampledProfileMsg msg)
| Gets the count of points in each re-sampled profile array. More...
k32s | GoResampledProfileMsg_XOffset (GoResampledProfileMsg msg)
| Gets the profile x-offset, in micrometers. More...
k32u | GoResampledProfileMsg_XResolution (GoResampledProfileMsg msg)
| Gets the x-resolution, in nanometers. More...
k32s | GoResampledProfileMsg_ZOffset (GoResampledProfileMsg msg)
| Gets the profile z-offset, in micrometers. More...
k32u | GoResampledProfileMsg_ZResolution (GoResampledProfileMsg msg)
| Gets the profile z-resolution, in nanometers. More...

## Member Function Documentation

GoDataMessageType GoDataMsg_Type | ( | GoDataMsg | message | ) |
| inherited

Returns the message type for a data channel message given in a GoDataSet.

Parameters

  message | A data channel message.

Returns
  A GoDataMessageType value.

k16s * GoResampledProfileMsg_At | ( | GoResampledProfileMsg | msg,
|  | kSize | index
| ) |  |

Gets a pointer to a re-sampled profile array.

Parameters

  msg | Message object.
  index | Profile array index.

Returns
  Data pointer.

kSize GoResampledProfileMsg_Count | ( | GoResampledProfileMsg | msg | ) |

Gets the count of re-sampled profile arrays in this message.

Parameters

  msg | Message object.

Returns
  Count of profile arrays.

k32u GoResampledProfileMsg_Exposure | ( | GoResampledProfileMsg | msg | ) |

Gets the exposure.

Parameters

  msg | Message object.

Returns
  Exposure in uS.

GoDataSource GoResampledProfileMsg_Source | ( | GoResampledProfileMsg | msg | ) |

Gets the profile source.

Parameters

  msg | Message object.

Returns
  Profile source.

kSize GoResampledProfileMsg_Width | ( | GoResampledProfileMsg | msg | ) |

Gets the count of points in each re-sampled profile array.

Parameters

  msg | Message object.

Returns
  Point count.

k32s GoResampledProfileMsg_XOffset | ( | GoResampledProfileMsg | msg | ) |

Gets the profile x-offset, in micrometers.

Parameters

  msg | Message object.

Returns
  X offset (um).

k32u GoResampledProfileMsg_XResolution | ( | GoResampledProfileMsg | msg | ) |

Gets the x-resolution, in nanometers.

Parameters

  msg | Message object.

Returns
  X resolution (nm).

k32s GoResampledProfileMsg_ZOffset | ( | GoResampledProfileMsg | msg | ) |

Gets the profile z-offset, in micrometers.

Parameters

  msg | Message object.

Returns
  Z offset (um).

k32u GoResampledProfileMsg_ZResolution | ( | GoResampledProfileMsg | msg | ) |

Gets the profile z-resolution, in nanometers.

Parameters

  msg | Message object.

Returns
  Z resolution (nm).

The documentation for this class was generated from the following file:

- Messages/GoDataTypes.h